Subject: Re: [PATCH v2 2/4] stripspace: Use parse-options for command-line parsing

From: Tobias Klauser <[email-masked]>
Date: Tue, 20 Oct 2015 10:48:23 +0200

On 2015-10-17 at 23:24:13 +0200, Junio C Hamano <[email-masked]> wrote:
> Tobias Klauser <[email-masked]> writes:
> 
> > On 2015-10-16 at 19:29:35 +0200, Junio C Hamano <[email-masked]> wrote:
> >> Junio C Hamano <[email-masked]> writes:
> >> 
> >> >> -	if (mode == INVAL)
> >> >> -		usage(usage_msg);
> >> >
> >> > When given "git stripspace -s blorg", we used to set mode to INVAL
> >> > and then showed the correct usage.  But we no longer have a check
> >> > that corresponds to the old INVAL thing, do we?  Perhaps check argc
> >> > to detect presence of an otherwise ignored non-option argument
> >> > immediately after parse_options() returns?
> >> 
> >> Perhaps like this.
> >
> > Thanks. I'll fold it into v3.
> 
> Before starting v3, please fetch from me and check what is queued on
> 'pu'.  It may turn out that the fix-ups I did while queuing this
> round is sufficient, in which case you can just say that instead ;-)

Now that patches 3 and 4 will be dropped and no changes being necessary
for patches 1 and 2 (except for your changes that I see are already
folded into 'pu'), do you want me to submit a v3 of the series? Or is it
enough if I ask you to drop patches 3 (stripspace: implement
--count-lines option) and 4 (rebase -i: use "stripspace --count-lines"
when counting todo items)?

Thanks